Bug 89666 - i18n support in initscripts disallows /usr as nfs fs
i18n support in initscripts disallows /usr as nfs fs
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 14:03 EDT by Luciano Rocha
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luciano Rocha 2003-04-25 14:03:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The i18n support in /etc/init.d/functions causes the shell to load several files
under /usr in order to support the language specified in /etc/sysconfig/i18n
(even if it's "en/en_US").

Then, on shutdown and if /usr is a remote nfs filesystem, the netfs script will
try to umount it, obviously fail, and then will kill the rc script responsible
for the shutdown, stopping the shutdown process and locking the OS.

Version-Release number of selected component (if applicable):
initscripts-6.67-1

How reproducible:
Always

Steps to Reproduce:
1. have /usr as a remote nfs filesystem (or maybe any remote or local filesystem?)
2. make sure /etc/sysconfig/i18n exists and has LANG defined to something other
than C
3. shutdown the machine
    

Actual Results:  the rc script is killed and init reports that no processes left
in current runlevel

Expected Results:  /usr should be unmounted, or at least mounted ro

Additional info:

This bug is present in RedHat Linux 8.0 and 9 and maybe others
Comment 1 Bill Nottingham 2003-09-03 21:10:11 EDT
Are you sure this still happens in 9? Looking at 'rc', it exports the LANG to
'C' before calling halt/reboot.
Comment 2 Luciano Rocha 2003-09-12 12:48:58 EDT
Actually, 9 exports LC_ALL, LANG is unchanged. I don't know if that fixes the
problem, I don't remember if I tested a RedHat Linux 9 system with /usr remotely
mounted or only if LANG was defined for something other than C.

It still is in RH9, although for halt LC_ALL is set to C.

But, for netfs, LANG is unchanged, and no LC* is defined. Doesn't netfs needs
LC_ALL (at least) defined to C?

Regards,
Luciano Rocha
Comment 3 Bill Nottingham 2005-09-29 16:38:29 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.